// AbstractGoal.h: interface for the CAbstractGoal class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "ItemManager.h"
class CSnakeManager;

class CAbstractGoal  
{
public:
	CAbstractGoal();
	virtual ~CAbstractGoal();

    //cloning function used by CGoalFactory to read info from file
    virtual CAbstractGoal* Clone(const char* pszIdentifier, ifstream& infile) = 0;

    virtual BOOL GoalCompleted(CItemManager* pItemMan, CSnakeManager* pSnakeMan) = 0;
};