// ItemsGoneGoal.h: interface for the CItemsGoneGoal class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractGoal.h"
#include <fstream>
using namespace std;

class CItemsGoneGoal : public CAbstractGoal  
{
public:
	CItemsGoneGoal();
	virtual ~CItemsGoneGoal();

    //CAbstractGoal functions
    virtual CAbstractGoal* Clone(const char* pszIdentifier, ifstream& infile);
    virtual BOOL GoalCompleted(CItemManager* pItemMan, CSnakeManager* pSnakeMan);

protected:
    //reads the IDs of the items to check for from the file
    void ReadItemIDs(ifstream& infile);

    UINT*   m_pItemID;
    UINT    m_iItemIDSize;
};