// LengthBehavior.cpp: implementation of the CLengthBehavior class.
//
//////////////////////////////////////////////////////////////////////

#include "LengthBehavior.h"
#include <crtdbg.h>     //for _ASSERT

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CLengthBehavior::CLengthBehavior()
{

}

CLengthBehavior::~CLengthBehavior()
{

}

CAbstractItemBehavior* CLengthBehavior::Clone(const char* pszIdentifier, ifstream& infile)
{
    _ASSERT(pszIdentifier);

    if(strcmp(pszIdentifier, "LENGTH") == 0)
    {
        CLengthBehavior* pNewItem = new CLengthBehavior();
        infile >> pNewItem->m_fLengthMod;
        return pNewItem;
    }
    return NULL;
}

BOOL CLengthBehavior::ModifySnake(CSnake* pSnake)
{
    _ASSERT(pSnake);
    pSnake->ModifyLength(m_fLengthMod);
    return FALSE;
}