// PositionBehavior.cpp: implementation of the CPositionBehavior class.
//
//////////////////////////////////////////////////////////////////////

#include "PositionBehavior.h"
#include <crtdbg.h>     //for _ASSERT

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPositionBehavior::CPositionBehavior()
{

}

CPositionBehavior::~CPositionBehavior()
{

}

CAbstractItemBehavior* CPositionBehavior::Clone(const char* pszIdentifier, ifstream& infile)
{
    _ASSERT(pszIdentifier);

    if(strcmp(pszIdentifier, "POSITION") == 0)
    {
        CPositionBehavior* pNewItem = new CPositionBehavior();
        infile >> pNewItem->m_vSetPos.x
               >> pNewItem->m_vSetPos.y
               >> pNewItem->m_vSetPos.z;
        return pNewItem;
    }
    return NULL;
}

void CPositionBehavior::Reset(CItem& moditem, CCourseLoader* pCourse)
{
    moditem.SetPos(m_vSetPos, pCourse);
}