// RotateBehavior.h: interface for the CRotateBehavior class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractItemBehavior.h"

class CRotateBehavior : public CAbstractItemBehavior 
{
public:
	CRotateBehavior();
	virtual ~CRotateBehavior();

    //CAbstractItemBehavior functions
    virtual CAbstractItemBehavior* Clone(const char* pszIdentifier, ifstream& infile);
    virtual void FrameMove(CItem& moditem, CCourseLoader* pCourse,
                           CItem* pItem, UINT iItemSize,
                           CSnakeManager* pSnakeManager = NULL);

protected:
    D3DXVECTOR3  m_vRotateInc;     //the rotation increment
};