// ScoreBehavior.h: interface for the CScoreBehavior class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractItemBehavior.h"

class CScoreBehavior : public CAbstractItemBehavior 
{
public:
	CScoreBehavior();
	virtual ~CScoreBehavior();

    //CAbstractItemBehavior functions
    virtual CAbstractItemBehavior* Clone(const char* pszIdentifier, ifstream& infile);
    virtual void Reset(CItem& moditem, CCourseLoader* pCourse);
    virtual void FrameMove(CItem& moditem, CCourseLoader* pCourse,
                           CItem* pItem, UINT iItemSize, 
                           CSnakeManager* pSnakeManager = NULL);
    virtual BOOL ModifySnake(CSnake* pSnake);

protected:
    FLOAT  m_fScoreMod;
    FLOAT  m_fCurScore;
};