// BounceBehavior.h: interface for the CBounceBehavior class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractItemBehavior.h"

class CBounceBehavior : public CAbstractItemBehavior
{
public:
	CBounceBehavior();
	virtual ~CBounceBehavior();

    //CAbstractItemBehavior functions
    virtual CAbstractItemBehavior* Clone(const char* pszIdentifier, ifstream& infile);
    virtual void FrameMove(CItem& moditem, CCourseLoader* pCourse,
                           CItem* pItem, UINT iItemSize, 
                           CSnakeManager* pSnakeManager = NULL);

protected:
    D3DXVECTOR3  m_vMoveDir;
};