// EatBehavior.cpp: implementation of the CEatBehavior class.
//
//////////////////////////////////////////////////////////////////////

#include "EatBehavior.h"
#include <crtdbg.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CEatBehavior::CEatBehavior()
{

}

CEatBehavior::~CEatBehavior()
{

}

CAbstractItemBehavior* CEatBehavior::Clone(const char* pszIdentifier, ifstream& infile)
{
    _ASSERT(pszIdentifier);

    if(strcmp(pszIdentifier, "EAT") == 0)
    {
        return new CEatBehavior();
    }
    return NULL;
}

BOOL CEatBehavior::ModifySnake(CSnake* pSnake)
{
    _ASSERT(pSnake);
    pSnake->DoAction(CSnake::ACTION_EAT);
    return TRUE;
}