// ElevateBehavior.cpp: implementation of the CElevateBehavior class.
//
//////////////////////////////////////////////////////////////////////

#include "ElevateBehavior.h"
#include <crtdbg.h>     //for _ASSERT

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CElevateBehavior::CElevateBehavior()
{

}

CElevateBehavior::~CElevateBehavior()
{

}

CAbstractItemBehavior* CElevateBehavior::Clone(const char* pszIdentifier, ifstream& infile)
{
    _ASSERT(pszIdentifier);

    if(strcmp(pszIdentifier, "ELEVATE") == 0)
    {
        CElevateBehavior* pNewItem = new CElevateBehavior();
        infile >> pNewItem->m_fElevAmt;
        return pNewItem;
    }
    return NULL;
}

void CElevateBehavior::FrameMove(CItem& moditem, CCourseLoader* pCourse,
                                 CItem* pItem, UINT iItemSize, CSnakeManager* pSnakeManager)
{
    if(moditem.m_fElevation != m_fElevAmt)
    {
        moditem.m_fElevation = m_fElevAmt;
        moditem.SetPos(moditem.m_vPos, pCourse);
    }
}