// ElevateBehavior.h: interface for the CElevateBehavior class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractItemBehavior.h"

class CElevateBehavior : public CAbstractItemBehavior 
{
public:
	CElevateBehavior();
	virtual ~CElevateBehavior();

    //CAbstractItemBehavior functions
    virtual CAbstractItemBehavior* Clone(const char* pszIdentifier, ifstream& infile);
    virtual void FrameMove(CItem& moditem, CCourseLoader* pCourse,
                           CItem* pItem, UINT iItemSize,
                           CSnakeManager* pSnakeManager = NULL);
protected:
    FLOAT       m_fElevAmt;
};