// GoalFactory.h: interface for the CGoalFactory class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractGoal.h"
#include <vector>
#include <fstream>
using namespace std;

class CGoalFactory  
{
public:
	CGoalFactory();
	virtual ~CGoalFactory();

    //returns a pointer to a new snake item from an identifier and a file
    CAbstractGoal* CreateFromFile(const char* pszIdentifier, ifstream& infile);
private:
    vector<CAbstractGoal*> m_GoalVect;
};