// ItemBehaviorFactory.h: interface for the CItemBehaviorFactory class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractItemBehavior.h"
#include <vector>
#include <fstream>
using namespace std;

class CItemBehaviorFactory  
{
public:
	CItemBehaviorFactory();
	virtual ~CItemBehaviorFactory();

    //returns a pointer to a new snake item from an identifier and a file
    CAbstractItemBehavior* CreateFromFile(const char* pszIdentifier, ifstream& infile);
private:
    vector<CAbstractItemBehavior*> m_SnakeItemVect;
};