// RegionBehavior.h: interface for the CRegionBehavior class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "AbstractItemBehavior.h"

class CRegionBehavior : public CAbstractItemBehavior  
{
public:
	CRegionBehavior();
	virtual ~CRegionBehavior();

    //CAbstractItemBehavior functions
    virtual CAbstractItemBehavior* Clone(const char* pszIdentifier, ifstream& infile);
    virtual BOOL CheckInBounds(CSnake* pSnake, CItem* pItem);

protected:
    void ReadBoundsFromFile(ifstream &infile);

    HRGN   m_hRegion;
    POINT* m_pRegion;
    UINT   m_iRegionSize;
};