// SpeedBehavior.cpp: implementation of the CSpeedBehavior class.
//
//////////////////////////////////////////////////////////////////////

#include "SpeedBehavior.h"
#include <crtdbg.h>     //for _ASSERT

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CSpeedBehavior::CSpeedBehavior()
{

}

CSpeedBehavior::~CSpeedBehavior()
{

}

CAbstractItemBehavior* CSpeedBehavior::Clone(const char* pszIdentifier, ifstream& infile)
{
    _ASSERT(pszIdentifier);

    if(strcmp(pszIdentifier, "SPEED") == 0)
    {
        CSpeedBehavior* pNewItem = new CSpeedBehavior();
        infile >> pNewItem->m_fSpeedMod;
        return pNewItem;
    }
    return NULL;
}

BOOL CSpeedBehavior::ModifySnake(CSnake* pSnake)
{
    _ASSERT(pSnake);
    pSnake->SetSpeed(pSnake->GetSpeed() + m_fSpeedMod);
    return FALSE;
}